Page MenuHomePhabricator

flaggedrevs support
Closed, ResolvedPublic

Description

Currently doesn't show if edits are unreviewed. Sadly the watchlist API doesn't give that information on its own.

Details

Related Gerrit Patches:
labs/tools/crosswatch : masterAdd FlaggedRevs support

Event Timeline

Sitic created this task.Jun 4 2015, 10:28 PM
Sitic claimed this task.
Sitic raised the priority of this task from to Normal.
Sitic updated the task description. (Show Details)
Sitic added a project: crosswatch.
Sitic moved this task to Backlog on the crosswatch board.
Sitic added a subscriber: Sitic.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 10:28 PM
Sitic moved this task from Backlog to Next up on the crosswatch board.Jul 16 2015, 12:09 AM
Restricted Application added subscribers: MGChecker, Luke081515. · View Herald TranscriptJul 16 2015, 12:09 AM

T50200#487614 seems to be the way to go.

Stryn added a subscriber: Stryn.Jul 27 2015, 7:14 PM

Change 228212 had a related patch set uploaded (by Sitic):
Add FlaggedRevs support

https://gerrit.wikimedia.org/r/228212

Change 228212 merged by Sitic:
Add FlaggedRevs support

https://gerrit.wikimedia.org/r/228212

Sitic closed this task as Resolved.Jul 31 2015, 9:02 AM

It now checks if a page needs review for wikis which have FlaggedRevs. If so and the user has review right the diff and link to review the changes are shown.